;This file is InsydeFlash utility configuration file
[CommonFlash]
SwitchString=
ErrorMsg00=No error!
ErrorMsg01=AC detect error!
ErrorMsg02=DC detect error!
ErrorMsg03=DC gas gauge under xx%!
ErrorMsg04=BIOS version compare error!
ErrorMsg05=Model name compare error!
ErrorMsg10=Not support this version of Flash Common Interface!
ErrorMsg11=Show BIOS version string length more than xx bytes.
ErrorMsg12=Show model name string length more than xx bytes.
;
; WARNING!
; to disable [CommonFlash] is remove entire section.
; if enable, power check will take care by Ihisi, and NOT reference [AC_Adapter].
;
;SwitchString      default : empty.
;                   String : A switch flag setting string. Ex: "CPVER:[1] ACEN DCEN FHRST"
;                            Detail parameter please reference following table.
;  Parameter    | Description
;  -------------+----------------------------------------------
;  PTEN         | All protection enable.
;  PTDIS        | All protection disable.
;  ACEN         | AC protect checking enable.
;  ACDIS        | AC protect checking disable.
;  DCEN         | DC & Gangue protect checking enable.
;  DCDIS        | DC & Gangue protect checking disable.
;  RESSEN       | BIOS Regression enable.
;  RESSDIS      | BIOS Regression disable.
;  PJMDEN       | Project Model string protect checking enable.
;  PJMDDIS      | Project Model string protect checking disable.
;  FHOS         | System back to OS after flash BIOS completely.
;  FHST         | System directly shutdown after flash BIOS completely.
;  FHRST        | System directly reboot after flash BIOS completely.
;  CPVER:[Num]  | Common Flash Version information
;               | ex: [Num] is decimal and start from 1.
;  -------------+----------------------------------------------
;
;ErrorMsg00        default : empty.
;                   String : No error message.
;ErrorMsg01        default : empty.
;                   String : AC error message.
;ErrorMsg02        default : empty.
;                   String : DC error message.
;ErrorMsg03        default : empty.
;                   String : DC gas gauge under xx% message.
;ErrorMsg04        default : empty.
;                   String : BIOS version error message.
;ErrorMsg05        default : empty.
;                   String : Model name error message.
;ErrorMsg10        default : empty.
;                   String : No support this version of Flash Common Interface message.
;The number of ErrorMsg## is in hex.

[MULTI_FD]
Flag=1
FD#01=PCI,0,0,0,2e,ffff0000,80C10000,080C1.FD
FD#02=PCI,0,0,0,2e,ffff0000,80C20000,080C1.FD
FD#03=PCI,0,0,0,2e,ffff0000,80C30000,080C1.FD
FD#04=PCI,0,0,0,2e,ffff0000,80C40000,080C1.FD
FD#05=PCI,0,0,0,2e,ffff0000,80C50000,080C6.FD
FD#06=PCI,0,0,0,2e,ffff0000,80C60000,080C6.FD
FD#07=PCI,0,0,0,2e,ffff0000,80CD0000,080CD.FD
FD#08=PCI,0,0,0,2e,ffff0000,81350000,08135.FD
FD#09=PCI,0,0,0,2e,ffff0000,81360000,08135.FD


;Flag              default : 0.
;                        0 : Normal mode.
;                        1 : Multi-FD mode. It will reference FD#XX values.
;FD#XX             Integer : XX is decimal number from 01 to 99. (FD#01 ~ FD#99)
;This section supports IO space type, PCI address type and multiple condition type.
;FD#XX=RIO,[Revision],[Offset],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=RPCI,[Revision],[Bus],[Device],[Function],[Offset],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=RMPCIIO,[Revision],[Conditon Number],PCI-[Bus]-[Device]-[Function]-[Offset]-[Mask]-[Value],IO-[Offset]-[Mask]-[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=RCPUMSR,[Revision],[Offset],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=RID,[Revision],[Model Name],[Filename],[ME Filename],[INI Filename]
;FD#XX=RMEMORY,[Revision],[Physical Address],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=IO,[Offset],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=PCI,[Bus],[Device],[Function],[Offset],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=MPCIIO,[Condition Number],PCI-[Bus]-[Device]-[Function]-[Offset]-[Mask]-[Value],IO-[Offset]-[Mask]-[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=CPUMSR,[Offset],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;FD#XX=ID,[Model Name],[Filename],[ME Filename],[INI Filename]
;FD#XX=MEMORY,[Physical Address],[Mask],[Value],[Filename],[ME Filename],[INI Filename]
;               [Revision] : The platform revision. Only used when need to use different BIOS on model name and all hardware identical case.
;                            This case need BIOS to report the revision string via IHISI.
;                            The revision will be compared only when all other check condition is matched.
;                            When BIOS report revision is not list in the condition string, AP will search whole table to find the revision <= BIOS report.
;                            For example:
;                                FD#01=RID,100,ModelName,BIOS1.fd
;                                FD#02=RID,101,ModelName,BIOS2.fd
;                                FD#03=RID,103,ModelName,BIOS3.fd
;                                FD#04=RID,107,ModelName,BIOS4.fd
;                                When BIOS report revision "102", the BIOS2.fd will be used.
;                                When BIOS report revision "106", the BIOS3.fd will be used.
;                                When BIOS report revision "103", the BIOS3.fd will be used.
;                 [Offset] : Offset in hex.
;                   [Mask] : IO and MEMORY type supports BYTE, WORD and DWORD in hex.
;                              For example, BYTE -> 03, WORD -> 0A01, DWORD 100400D3
;                            PCI type supports DWORD in hex only.
;                            CPUMSR type supports QWORD in hex only.
;                  [Value] : IO and MEMORY type supports BYTE, WORD and DWORD in hex.
;                            PCI type supports DWORD in hex only.
;                            CPUMSR type supports QWORD in hex only.
;             [Model Name] : The platform ID, model name string.
;       [Physical Address] : A DWORD value in hex.
;               [Filename] : Filename of FD.
;            [ME Filename] : ME Filename of FD. If it exists, utility will run OEMME flash feature.
;           [INI Filename] : INI Filename for overwrite.
;                            If it exists, utility will load the new ini file and overwrite all sections (except [MULTI_FD]) exist in new ini file.
;When [Offset] & [Mask] == [Value], it will flash the following files ([Filename] and [ME Filename]).

[Version]
Version=
;InsydeFlash utility will display the value at top 
;Version           default : empty.
;                   String : Version number string for display.
;                            It will be show on UI, and append on current version number.
;                            When current version is 5.01 and this version string set to "12",
;                             then it will show "InsydeFlash V5.01.12" on main dialog caption.

[UI]
Confirm=0
Silent=0
SilentWithDialog=2
DisplayID=1
InsydeInfo=1
VersionInfo=1
GroupInfo=1
ConfirmInfo=0
OnFlashingBeep=0
OnFlashingBeepDelayTime=800
DisableMouseAndKeyboardInput=1
BeforeRunToolDelayTime=0
ProgramStartToWrongMessageBox=0
GetFDFileButton=0
DelayBeforeFlash=0
WizardModeKeyboardBaseDockWarning=0
;Confirm           default : 1.
;                        0 : Don't display confirm dialog.
;                        1 : Display confirm dialog.
;Silent            default : 0.
;                        0 : Normal mode.
;                        1 : Silent mode, hide main dialog.
;SilentWithDialog  default : 2.
;                        0 : Don't display any dialog.
;                        1 : Display main dialog only.
;                        2 : Display all dialogs except main dialog.
;DisplayID         default : 1.
;                        0 : Don't display BIOS ID.
;                        1 : Display BIOS ID.
;InsydeInfo        default : 1.
;                        0 : Don't display Insyde copyright information and URL.
;                        1 : Display Insyde copyright information and URL.
;VersionInfo       default : 1.
;                        0 : Don't display BIOS version.
;                        1 : Display BIOS version.
;GroupInfo         default : 1.
;                        0 : Don't display group box.
;                        1 : Display group box.
;ConfirmInfo       default : 0.
;                        0 : Don't display BIOS version and date information in confirm dialog.
;                        1 : Display BIOS version and date information in confirm dialog.
;OnFlashingBeep    default : 0.
;                        0 : Don't beep on flashing.
;                        1 : Beep on flashing.
;OnFlashingBeepDelayTime
;                  default : 800. (Unit is millisecond)
;                  Integer : Set beep delay time (milliseconds).
;DisableMouseAndKeyboardInput
;                  default : 0.
;                        0 : Don't hook mouse and keyboard.
;                        1 : Hook mouse and keyboard without "CTRL+ALT+DEL".
;BeforeRunToolDelayTime
;                  default : 0. (Unit is second)
;                  Integer : Delay number of seconds before flash process.
;ProgramStartToWrongMessageBox
;                  default : 0.
;                        0 : Don't pop-up warning dialog before flash process.
;                        1 : Pop-up a warning dialog before flash process.
;GetFDFileButton   default : 0.
;                        0 : Hide FD file browse button.
;                        1 : Show the button for browsing FD file.
;DelayBeforeFlash  default : 0. (Unit is second)
;                  Integer : Delay number of seconds before flashing.
;WizardModeKeyboardBaseDockWarning
;                  default : 0.
;                        0 : Show AC warning only.
;                        1 : Show AC and keyboard base dock warning.

[Option]
Flag=3
;Flag              default : 3.
;                        0 : Auto flash mode.
;                        2 : User flash mode, including start, exit buttons.
;                        3 : Wizard mode.

[FDFile]
FileName=
;FileName          default : empty. 
;                   String : Utility always load this file.
;                            If the FileName is empty, utility will search current directory
;                              and load the first found FD file.

[AC_Adapter]
Flag=1
BatteryCheck=1
BatteryBound=50
ConnectACAndDC=1
;Flag              default : 1.
;                        0 : Don't check AC.
;                        1 : Check AC.
;BatteryCheck      default : 0.
;                        0 : Don't check battery.
;                        1 : Check battery.
;BatteryBound      default : 50.
;          Integer (1~100) : Low battery boundary (percentage).
;                            When BatteryCheck=1 this value will be referenced.
;                            And only when the battery life percentage is bigger than
;                              inputed value, it can do flash.
;ConnectACAndDC    default : 1.
;                        0 : Don't connect AC and DC check.
;                        1 : Check AC, if no AC plug will check DC.

[Platform_Check]
Flag=3
PlatformName1=AA
PlatformName2=BB
PlatformName3=
PlatformName4=
PlatformName5=
PlatformName6=
PlatformName7=
PlatformName8=
PlatformName9=
PlatformName10=
PlatformName11=
PlatformName12=
PlatformName13=
PlatformName14=
PlatformName15=
PlatformName16=
PlatformName17=
PlatformName18=
PlatformName19=
PlatformName20=
;This flag is the switch of comparing bios project ID with ROM file project ID.
;Flag              default : 3.
;                        0 : Don't check project ID.
;                        1 : Check project ID of new file.
;                            If ID is different with current BIOS, the utility will close.
;                        2 : Utility will compare current platform ID with the 20 platform IDs.
;                            If any one is match, it will go ahead, otherwise utility will close.
;                        3 : Depends on BIOS report.
;PlatformName1~20  default : empty.
;                   String : If ROM file do not contain correct ID, user can define ID here.

[PlatformVersion]
Flag=0
Version1=
Version2=
Version3=
Version4=
Version5=
Version6=
Version7=
Version8=
Version9=
Version10=
Version11=
Version12=
Version13=
Version14=
Version15=
Version16=
Version17=
Version18=
Version19=
Version20=
;This flag only available when the [Platform_Check] is enable to compare the 20 platform IDs.
;The Version is pair with the PlatformName.
;For example: When the platform ID matches with PlatformName2, the Version2 will be used.
;Flag              default : 0.
;                        0 : Don't use multi version.
;                        1 : Use the version in the list instead of the version in file.
;Version1~20       default : empty.
;                   String : If ROM file do not contain correct version, user can define version here.

[Bios_Version_Check]
Flag=2
;This flag is the switch of checking BIOS version.
;Flag              default : 2.
;                        0 : Don't check rom file version.
;                        1 : Check BIOS version.
;                            When rom file version is older than BIOS, it will display
;                              a warning message and close application.
;                        2 : Depend on BIOS report.

[BIOSVersionFormat]
BIOSVFEnable=0
VersionFormat=TXXXXXXX.N.NN.NN
;This BIOSVFEnable flag is the switch of BIOSVersionFormat.
;FunctionEnable    default : 0
;                        0 : function is disabled.
;                        1 : function is enabled.
;VersionFormat           X : The field is masked. It will NOT be compared.
;                        N : The digit field can be ASCII, case-sensitive.
;                        T : It's the same definition with N. But T is a case-insensitive.
;                        . : Dot is also a mask. It will NOT be compared.

[PermitFlashVersion]
PFVFunctionEnable=0
SingleVersion=
MultiVersion1=
MultiVersion2=
MultiVersion3=
MultiVersion4=
MultiVersion5=
MultiVersion6=
MultiVersion7=
MultiVersion8=
MultiVersion9=
MultiVersion10=
MultiVersion11=
MultiVersion12=
MultiVersion13=
MultiVersion14=
MultiVersion15=
MultiVersion16=
MultiVersion17=
MultiVersion18=
MultiVersion19=
MultiVersion20=
;This section is for conditional version definition for BIOS update.
;When this function enabled, flash utility will compare on board BIOS version with conditional version and then decide to continue flash progress or not.
;For example: In following condition PFVFunctionEnable=1, SingleVersion=A03, "Please update to BIOS version A03 first!".
;             When on board BIOS version is older than A03,
;              it will pop up the error dialog with the message "Please update to BIOS version A03 first!" and then terminated.
;             Otherwise it will continue original flash process.
;The MultiVersion1~20 are similar as SingleVersion, but they only available when the [Platform_Check] is enable to compare the 20 platform IDs.
;They must be pair of the PlatformName of [Platform_Check] section.
;For example: When the platform ID matches with PlatformName2, the Version2 will be used.
;PFVFunctionEnable default : 0.
;                        0 : Disable conditional version check.
;                        1 : Enable conditional version check.
;SingleVersion     default : empty.
;                   String : XXXX, "Message String"
;                            XXXX is the conditional version, regarding version check rule please refer section "BIOSVersionFormat".
;                            "Message String" is the message to show when the on board BIOS version is older than the conditional version.
;MultiVersion1~20  default : empty.
;                   String : XXXX, "Message String"
;                            XXXX is the conditional version, regarding version check rule please refer section "BIOSVersionFormat".
;                            "Message String" is the message to show when the on board BIOS version is older than the conditional version.
;
; The section is depended on other sections if using [PermitFlashVersion].
;               a. If single version is enabled, 
;                  Please also configure section [Bios_Version_Check] for version check
;               b. If multi-version is enabled, 
;                  Please also configure following sections [Bios_Version_Check] for version check, 
;                  section [Platform_Check] for platform name check and section [PlatformVersion] for multi-platform version check

[FlashComplete]
Action=1
Dialog=0
Counter=15
ActionOverride=0
;Action            default : 2.
;                        0 : Do nothing.
;                        1 : Shutdown.
;                        2 : Reboot.
;Dialog            default : 0.
;                        0 : Don't display dialog.
;                        1 : Display dialog.
;                        2 : Display dialog and wait several seconds.
;Counter           default : 15. (Unit is second)
;                  Integer : The number of seconds for countdown to reboot or shutdown.
;ActionOverride    default : 0
;                        0 : This key is disabled. Flash utility bases action key setting to do original behavior.
;                        1 : This key is enabled. Flash utility just does close itself in silent mode.
;The value behind comma is the return value in silent mode.

[ForceFlash]
ALL=0
BB_PEI=0
CPU_Microcode=0
Variable=0
DXE=0
EC=0
Password=0
OEM_NVS=0
Logo=0
Type#09=0
Type#08=0
;These areas are reported by IHISI from BIOS for protection.
;When you set the value to 1, the selected protect area will be force flash.
;ALL               default : 0.
;                        0 : Reserve all protected areas.
;                        1 : Flash all protected areas.
;BB_PEI, CPU_Microcode, Variable, DXE, EC, Password, OEM_NVS, Logo
;                            They are the predefined types each one indicate a type value.
;                            BB_PEI        = Type#00
;                            CPU_Microcode = Type#01
;                            Variable      = Type#02
;                            DXE           = Type#03
;                            EC            = Type#04
;                            Password      = Type#0F
;                            OEM_NVS       = Type#10
;                            Logo          = Type#05
;                  default : 0.
;                        0 : Protect this area.
;                        1 : Force flash this area.
;Type#NN                     Type#NN is an extended method for those didn't have predefine type.
;                            The NN is a number in Hex.
;                            For example:
;                            If BIOS report to protect type 13h from IHISI, and you want to flash this protect area.
;                            Then the setting in platform.ini can add Type#13=1.
;                  default : 0.
;                        0 : Protect this area.
;                        1 : Force flash this area.

[Region]
BIOS=0
GbE=0
ME=0
DESC=0
Platform_Data=0
;This section is used to control SPI descriptor mode.
;Default is flash all regions when the values all set to 0.
;If any one of the regions set to 1, it will only flash specific regions.
;If the BIOS is built without additional Intel firmware as like ME, GBE and Descriptor
; or BIOS is an AMD firmware which does not support ME, please ignore this section.
;BIOS              default : 0.
;                        0 : Don't flash.
;                        1 : Flash BIOS region.
;GbE               default : 0.
;                        0 : Don't flash.
;                        1 : Flash GbE region.
;ME                default : 0.
;                        0 : Don't flash.
;                        1 : Flash ME region.
;DESC              default : 0.
;                        0 : Don't flash.
;                        1 : Flash Descriptor region.
;Platform_Data     default : 0.
;                        0 : Don't flash.
;                        1 : Flash Platform Data region.

[UpdateEC]
Flag=0
EC_Dialog=0
BIOS_Only=0
EC_Only=0
EC_Path=
EC_ReadBlockSize=64
;Flag              default : 0.
;                        0 : Don't flash EC by BIOS.
;                        1 : Flash EC by BIOS.
;EC_Dialog         default : 0.
;                        0 : Don't display confirm dialog when begin to update EC.
;                        1 : Show confirm dialog.
;BIOS_Only         default : 0.
;                        0 : Flash EC and BIOS file.
;                        1 : Only flash BIOS part of the merge file.
;EC_Only           default : 0.
;                        0 : Flash EC and BIOS file.
;                        1 : Flash only EC binary file.
;EC_Path           default : empty.
;                   String : EC filename.
;EC_ReadBlockSize  default : 64.
;                  Integer : Unit is KB. Available number is 4, 64.
;Avoid staying in SMM mode during updating EC via 64k block size is too long to unload Windows device driver (Example: SHB ULT IGD driver).
;Please try to change "EC_ReadBlockSize = 4" (Force EC block size=4k) in platform.ini file.

[UpdateExtraData]
Flag=0
DataType=1
type1errorcodeA0=messagestring1
;Flag              default : 0.
;                        0 : Do not update extra data.
;                        1 : Update extra data by IHISI.
;                            If new image is NOT processed by IFIT tool, please do not enable this function.
;DataType          default : 1.
;                  Integer : Integer number. The meaning of data type number will define by BIOS OEM.
;                            Now will support 1, 4~C.
;                            Ex:1,4,6,5 -> Mean you want to update 1,4,6,5 Four type of data.
;                            Notice: 2, 3 cannot used.
;type#errorcode??=messagestringX
;                            This key is for customizing error message which occur in update extra data.
;                            For example:
;                            When an error occur when updating type 4, BIOS return the error code A2.
;                            AP will find the key "type4errorcodeA2" and get the string ID "messagestring4", and find the string in [MessageStringTable].
;                            Then shows the message string instead of standard error message.
;                        # : The type number define in DataType. (Hex)
;                       ?? : The error code returned by BIOS. Available value range  A0~AF.
;                        X : Message string number.
;This feature will let you just input data to update by IHISI. Data type will define by BIOS OEM.
;If new image is NOT processed by IFIT tool, please do not enable this function.

[UpdateOEMME]
MEFileName=
CheckVersion=0
Command=
;MEFileName        default : empty.
;                   String : if this filename or Multi-FD ME filename exist tool will run this case to flash ME.
;CheckVersion      default : 0.
;                        0 : Don't check ME file version.
;                        1 : Check ME file version.
;                        2 : When ME flash error is cause of same version and downgrade version do not show error and continue to flash.
;Command           default : empty.
;                   String : When this field is empty and don't want to check ME version, utility will use "-f %filename -generic -allowsv" as default command.
;                            The %filename is a keyword which will be replaced with the value in MEFileName within this section or the filename in MULTI_FD section.
;NOTE:
; The Intel firmware update tool (FWUpdLcl.exe) is dependent on each chipset generation, the tool in release flash package is a sample and may be not suitable for your project.
; Please remember to replace the FWUpdLcl.exe with right version before you will utilize function to update Intel firmware (ME or TXE).

[UpdateLogo]
TargetPath=EFI\HP\BIOS\LOGO
;TargetPath        default : EFI\HP\BIOS\LOGO.
;                   String : Logo file copy target path.

[Log_file]
Flag=0
FileName=InsydeFlash.Log
CMOS_Flag=0
CMOS_INDEX_PORT=70
CMOS_DATA_PORT=71
CMOS_OFFSET=68,69
;Flag              default : 0.
;                        0 : Don't log to file.
;                        1 : Utility will log to specify file.
;FileName          default : InsydeFlash.Log.
;                   String : Log filename.
;CMOS_Flag         default : 0.
;                        0 : Disable CMOS debug.
;                        1 : Enable CMOS debug.
;CMOS_INDEX_PORT   default : 70. (hex)
;                       70 : Use 0x70 port as index port.
;                       72 : Use 0x72 port as index port.
;CMOS_DATA_PORT    default : 71. (hex)
;                       71 : Use 0x71 port as index port.
;                       73 : Use 0x73 port as index port.
;CMOS_OFFSET       default : 0,0. (hex)
;                            CMOS_OFFSET=xx,yy the xx is high byte offset; yy is low byte offset, and the range is 0~FF (hex)

[ReturnErrorCode]
FileNotFound=3,259
ErrorBeforeFlash=4,259
WriteROMFail=240,259
WriteECFail=6,259
WriteExtraDataFail=7,259
CrisisMainFormSelCanceled=8,8
CrisisCreateFormRetComplete=9,9
CrisisCreateFormRetFail=10,10
CrisisCreateFormRetCanceled=11,11
CrisisCreateFormRetFormatDiskFail=12,12
CrisisCreateFormRetUpdateDiskNameFail=13,13
CrisisCreateFormRetDiskFreeSizeNotEnough=14,14
CrisisCreateFormRetCopyDataFail=15,15
;FileNotFound      default : 3.
;                  Integer : If utility can't find the BIOS file, it will return this error code.
;ErrorBeforeFlash  default : 4.
;                  Integer : If error occur before flash process, it will return this error code.
;WriteROMFail      default : 5.
;                  Integer : If error occur during write ROM process, it will return this error code.
;WriteECFail       default : 6.
;                  Integer : If error occur during write EC process, it will return this error code.
;WriteExtraDataFail
;                  default : 7.
;                  Integer : If error occur during write Extra Data process, it will return this error code.
;CrisisMainFormSelCanceled
;                  default : 8.
;                  Integer : If crisis key create return main canceled.
;CrisisCreateFormRetComplete
;                  default : 9.
;                  Integer : If crisis key create return complete.
;CrisisCreateFormRetFail
;                  default : 10.
;                  Integer : If crisis key create return fail.
;CrisisCreateFormRetCanceled
;                  default : 11.
;                  Integer : If crisis key create return canceled.
;CrisisCreateFormRetFormatDiskFail
;                  default : 12.
;                  Integer : If crisis key create return format disk fail.
;CrisisCreateFormRetUpdateDiskNameFail
;                  default : 13.
;                  Integer : If crisis key create return update disk name fail.
;CrisisCreateFormRetDiskFreeSizeNotEnough
;                  default : 14.
;                  Integer : If crisis key create return free size not enough.
;CrisisCreateFormRetCopyDataFail
;                  default : 15.
;                  Integer : If crisis key create return copy data fail.
;The value behind comma is the return value in silent mode.

[ReturnCodeDefinition]
RETURN_SUCCESSFUL=0,3010
RETURN_MODEL_CHECK_FAIL=259,259
RETURN_USER_CONFIRM_CANCEL=1701,259
RETURN_AC_NOT_CONNECT=264,259
RETURN_LOAD_DRIVER_FAIL=1703,259
RETURN_NEED_REBOOT=3010,3010
RETURN_USER_EXIT=1602,259
RETURN_SAME_VERSION_CHECK=99999,259
RETURN_BITLOCKER_USER_EXIT=290,1602
;RETURN_SUCCESSFUL
;                  default : 0.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_MODEL_CHECK_FAIL
;                  default : 259.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_USER_CONFIRM_CANCEL
;                  default : 1602.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_AC_NOT_CONNECT
;                  default : 1602.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_LOAD_DRIVER_FAIL
;                  default : 259.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_NEED_REBOOT
;                  default : 3010.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_USER_EXIT
;                  default : 1602.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_SAME_VERSION_CHECK
;                  default : 1602.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;RETURN_BITLOCKER_USER_EXIT
;                  default : 1602.
;                  Integer : Use input value as return code.
;                    99999 : Use the default value above.
;The value behind comma is the return value in silent mode.

[Others]
DisableCompare=0
DisableVerify=0
VerifyErrorRetry=3
SMIErrorRetryDelay=100
SMIErrorRetry=5
AllowVersion=000
ForceIHISIVersion=
CleanEventLogFlag=0
ReadRomMethod=0
StopWhenNotUEFIFlash=0
;DisableCompare    default : 0.
;                        0 : Read BIOS and compare difference before writing.
;                            If the read data is the same as the data we want to write,
;                              it will not do the write action.
;                        1 : Don't do compare before writing. Just do write action directly.
;DisableVerify     default : 0.
;                        0 : Verify BIOS after writing.
;                        1 : Don't verify BIOS after writing.
;VerifyErrorRetry  default : 3.
;                  Integer : Retry times.
;                            If the value is not zero means enable verify retry, and will retry set times.
;                            0 for disable verify retry.
;SMIErrorRetryDelay
;                  default : 100. (Unit is millisecond)
;                  Integer : Delay time during SMI error retry (millisecond).
;SMIErrorRetry     default : 5.
;                  Integer : Retry times when SMI fail. (Note: This may let flash time become longer.)
;AllowVersion      default : 000.
;                  Version : Utility will do following process.
;                            If you want to run into UEFI flash update, the current version (on board BIOS) must be higher than this version
;                            (as "AllowVersion" key).
;                            Current BIOS version > allow version: Utility will run into UEFI flash update.
;                            Current BIOS version <= allow version: Utility will run into Window flash to update BIOS.
;                            If AllowVersion=000, utility always into UEFI flash update.
;ForceIHISIVersion default : empty.
;                  Version : This flag will force override the IHISI version which will passing to BIOS.
;                            Ex: 1.9.1
;CleanEventLogFlag
;                  default : 0.
;                        0 : Flash bios normal.
;                        1 : Clean event log data.
;ReadRomMethod
;                  default : 0.
;                        0 : Read DXE region only for BB buffer compare.
;                        1 : Read whole ROM for BB buffer compare. (May take more time.)
;StopWhenNotUEFIFlash
;                  default : 0.
;                        0 : Do legacy flash when the platform cannot use UEFI flash update.
;                        1 : AP terminate when the platform cannot use UEFI flash update.
;                            This setting is not available on Wizard Mode.

[PasswordCheck]
PasswordCheckEnable=0
MsgCaption=Password confirmation
MsgPreface=Please enter password
MsgSuccess=Password is correct.
MsgFailure=Password is incorrect. Please retry again.
;PasswordCheckEnable
;                  default : 0.
;                        0 : Disable the password check function.
;                        1 : Enable the password check function.
;MsgCaption        default : "Password confirmation"
;                   String : The dialog box caption.
;MsgPreface        default : "Please enter password"
;                   String : The preface of password entering.
;MsgSuccess        default : "Password is correct."
;                   String : The string displayed when the comparing result returned by BIOS is 0x00.
;MsgFailure        default : "Password is incorrect. Please retry again."
;                   String : The string displayed when the comparing result returned by BIOS is 0x01.

[MessageStringTable]
messagestring1="Warning message 1"
;The message string must as following format messagestring#="Your message here."
;The # is a number in Decimal or Hex.
